<?php

namespace App\Modals;
use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\SoftDeletes;
use app\User;

class Product extends Model
{

  public function menu(){
        return $this->belongsTo(Menu::class, 'menu_id','id');
    }

    public function submenu(){
          return $this->belongsTo(Submenu::class, 'submenu_id','id');
      }
      public function brand(){
            return $this->belongsTo(Brand::class, 'brand_id','id');
        }

        public function sizes(){
              return $this->hasMany(Size::class, 'product_id','id');
          }

          public function colors(){
                return $this->hasMany(Color::class, 'product_id','id');
            }



}
